Subject: Re: Converting .po to .dsk under UNIX
From: [email-masked] (Adrian Whichello)
Date: 4 Dec 1997 22:08:36 GMT
Newsgroups: comp.emulators.apple2

In article <Pine.GSO.3.95.iB1.0.971204014430.2857D-100000@vtn1>,
William A. Barath <[email-masked]> wrote:
>On 4 Dec 1997, Simon Hall wrote:
>
>|Any-one have a way to convert .po file to .dsk images that will run
>|under UNIX.
>|I have a few file's I would like to convert .
>
>The emulator you're using should have an interleave setting for .do (dos
>order) and .po (prodos order) diskimages.  If not, you can make a script
>that uses dd to split up the file into tracks, then sectors, and
>reorder them quite easily.  If you are using UNIX, that should be child's
>play for you.
>
>The interleave values are:
>physical:
>0x0 0x1 0x2 0x3 0x4 0x5 0x6 0x7 0x8 0x9 0xa 0xb 0xc 0xd 0xe 0xf
>Dos 3.3:
>0x0 0x7 0xe 0x6 0xd 0x5 0xc 0x4 0xb 0x3 0xa 0x2 0x9 0x1 0x8 0xf
>
>I believe the .po (prodos) order is physical.
>

No, it's not, according to an article I'm using from Call-A.P.P.L.E, Feruary
1985, "Road Maps to Apple ][ Disks: DOS 3.3, CP/M, Pascal and ProDOS". (I'm
actually trying to read Apple CP/M disk images - has anybody written such a
routine?).

Anyway, the "sector translation order" from this article is:

physical:
0x0 0x1 0x2 0x3 0x4 0x5 0x6 0x7 0x8 0x9 0xa 0xb 0xc 0xd 0xe 0xf

Dos 3.3:
0x0 0x7 0xe 0x6 0xd 0x5 0xc 0x4 0xb 0x3 0xa 0x2 0x9 0x1 0x8 0xf

ProDOS and Pascal:
0x0 0x8 0x1 0x9 0x2 0xa 0x3 0xb 0x4 0xc 0x5 0xd 0x6 0xe 0x7 0xf

Apple CP/M:
0x0 0xb 0x6 0x1 0xc 0x7 0x2 0xd 0x8 0x3 0xe 0x9 0x4 0xf 0xa 0x5

--
Dr Adrian Whichello                                  Phone: +61 2 9351 5339
Imaging Science and Engineering Laboratory             Fax: +61 2 9351 3847
Sydney University Electrical Engineering      Email: [email-masked]
Australia                           WWW: http://www.ee.usyd.edu.au/~adrianw

"I wish to God these calculations had been executed by steam!" - C. Babbage